﻿Imports System.IO

Public Class FilenameToDisplay
  Public Name As String

  Public Overrides Function ToString() As String
    Return Path.GetFileName(Name)
  End Function

  Public Shared Widening Operator CType(ByVal Obj As FilenameToDisplay) As String
    Return If(Obj IsNot Nothing, Obj.Name, Nothing)
  End Operator

  Public Sub New()
  End Sub

  Public Sub New(ByVal Name As String)
    Me.Name = Name
  End Sub
End Class

